For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Location object
          • GET/locations
          • GET/locations/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsLocations

/locations

GET
/hris/v1/locations
GET
/api/hris/v1/locations
$curl -G https://api.merge.dev/api/hris/v1/locations \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode remote_fields=country,location_type \
> --data-urlencode show_enum_origins=country,location_type
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "f5e6a151-f44e-449a-afb1-8fd781905958",
7 "remote_id": "93018402",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "name": "NYC Office",
11 "phone_number": "+1111111111",
12 "street_1": "2920 Broadway",
13 "street_2": "2nd Floor",
14 "city": "New York ",
15 "state": "NY",
16 "zip_code": "10027",
17 "country": "US",
18 "location_type": "WORK",
19 "remote_was_deleted": true,
20 "field_mappings": {
21 "organization_defined_targets": {
22 "custom_key": "custom_value"
23 },
24 "linked_account_defined_targets": {
25 "custom_key": "custom_value"
26 }
27 },
28 "remote_data": [
29 {
30 "path": "/locations",
31 "data": null
32 }
33 ]
34 }
35 ]
36}

Returns a list of Location objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Location object

Next

/locations/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

location_typeenumOptional
If provided, will only return locations with this location type * `HOME` - HOME * `WORK` - WORK
Allowed values:
modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
remote_idstringOptional
The API provider's ID for the given object.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

If provided, will only return locations with this location type

  • HOME - HOME
  • WORK - WORK

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more